org.apache.tamaya.inject.api

## Class InjectionUtils

- java.lang.Object
- - org.apache.tamaya.inject.api.InjectionUtils

-     public final class InjectionUtils
      extends Object

  Utility class with several commonly used functions.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<String>` | `evaluateKeys(Member member, ConfigDefaultSections areasAnnot)` Evaluates all absolute configuration keys based on the member name found.
    `static List<String>` | `evaluateKeys(Member member, ConfigDefaultSections areasAnnot, Config propertyAnnotation)` Evaluates all absolute configuration keys based on the annotations found in a class.
    `static List<String>` | `getKeys(Field field)` Collects all keys to be be accessed as defined by any annotations of type `ConfigDefaultSections`, `Config`.
    `static List<String>` | `getKeys(Method method)` Collects all keys to be be accessed as defined by any annotations of type `ConfigDefaultSections`, `Config`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getKeys

          public static List<String> getKeys(Field field)

      Collects all keys to be be accessed as defined by any annotations of type `ConfigDefaultSections`, `Config`.
      Parameters:
        `field` - the (optionally) annotated field instance
      Returns:
        the regarding key list to be accessed fomr the `Configuration`.

    - #### getKeys

          public static List<String> getKeys(Method method)

      Collects all keys to be be accessed as defined by any annotations of type `ConfigDefaultSections`, `Config`.
      Parameters:
        `method` - the (optionally) annotated method instance
      Returns:
        the regarding key list to be accessed fomr the `Configuration`.

    - #### evaluateKeys

          public static List<String> evaluateKeys(Member member,
                                  ConfigDefaultSections areasAnnot)

      Evaluates all absolute configuration keys based on the member name found.
      Parameters:
        `member` - member to analyze.
        `areasAnnot` - the (optional) annotation defining areas to be looked up.
      Returns:
        the list of current keys in order how they should be processed/looked up.

    - #### evaluateKeys

          public static List<String> evaluateKeys(Member member,
                                  ConfigDefaultSections areasAnnot,
                                  Config propertyAnnotation)

      Evaluates all absolute configuration keys based on the annotations found in a class.
      Parameters:
        `member` - member to analyze.
        `areasAnnot` - the (optional) annotation definining areas to be looked up.
        `propertyAnnotation` - the annotation on field/method level that may defined one or several keys to be looked up (in absolute or relative form).
      Returns:
        the list current keys in order how they should be processed/looked up.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.